import { ElementRef } from "@angular/core";
import { StiEditableContent } from "../system/interfaces";
import { StiModelService } from "./model.service";
import * as i0 from "@angular/core";
export declare class StiEditableContentService {
    model: StiModelService;
    usedElement: any;
    private _editableContent;
    editableElementRef: ElementRef;
    activeControl: boolean;
    constructor(model: StiModelService);
    getIntEditableContent(): StiEditableContent;
    get editableContent(): StiEditableContent;
    set editableContent(value: StiEditableContent);
    startEdit(editableElementRef?: ElementRef): void;
    private getCaretOffset;
    private setCaret;
    static ɵfac: i0.ɵɵFactoryDeclaration<StiEditableContentService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<StiEditableContentService>;
}
